Bug 15194 - Failed build because of too much spaces
Summary: Failed build because of too much spaces
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-02 23:53 UTC by Enrico Scholz
Modified: 2008-05-01 15:37 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2000-08-02 23:56:20 UTC


Attachments (Terms of Use)
Cures failed building because of spaces before X_LITTLE_ENDIAN (1.50 KB, patch)
2000-08-02 23:56 UTC, Enrico Scholz
no flags Details | Diff

Description Enrico Scholz 2000-08-02 23:53:31 UTC
`rpm --rebuild XFree...' fails because xc/config/cf/Image.tmpl contains too
much spaces (tabs) before X_LITTLE_ENDIAN.

It's seems to be the flaw described in QNX4.cf:

| XCOMM you can only one space (or tab) between ByteOrder and
X_LITTLE_ENDIAN
| XCOMM or you will have -DX_BYTE_ORDER=       X_LITTLE_ENDIAN
| XCOMM instead of -DX_BYTE_ORDER=X_LITTLE_ENDIAN 
| XCOMM in the generated Makefile


After applying to following patch, the build will fail also -- this time
because of 

|LD_LIBRARY_PATH=        ../../../exports/lib
../../../exports/bin/mkfontdir .

I haven't tested it yet, but I think it's because in linux.cf there are two
tab's before LD_LIBRARY_PATH.



The build was _not_ done on a Pinstripe installation but with the exception
of XFree86 (rpm version 3.3.6-20) the important packages are from beta4. Is
it possible an old xmkmf is used?

Comment 1 Enrico Scholz 2000-08-02 23:56:19 UTC
Created attachment 1875 [details]
Cures failed building because of spaces before X_LITTLE_ENDIAN

Comment 2 Bill Nottingham 2000-08-03 03:06:48 UTC
Bad cpp. This is fixed in pinstripe.


Note You need to log in before you can comment on or make changes to this bug.